- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CallbackFunctions Class Reference

`#include <callbackfunctions.hpp>`

Collaboration diagram for CallbackFunctions:

[legend]
List of all members.

## Public Member Functions
| CallbackFunctions (const mxArray *ptr)
| ~CallbackFunctions ()
bool | constraintFuncIsAvailable () const
bool | jacobianFuncIsAvailable () const
bool | hessianFuncIsAvailable () const
bool | iterFuncIsAvailable () const
double | computeObjective (const Iterate &x, const mxArray *auxdata) const
void | computeGradient (const Iterate &x, double *g, const mxArray *auxdata) const
void | computeConstraints (const Iterate &x, int m, double *c, const mxArray *auxdata) const
SparseMatrix * | getJacobianStructure (int n, int m, const mxArray *auxdata) const
SparseMatrix * | getHessianStructure (int n, const mxArray *auxdata) const
void | computeJacobian (int m, const Iterate &x, SparseMatrix &J, const mxArray *auxdata) const
void | computeHessian (const Iterate &x, double sigma, int m, const double *lambda, SparseMatrix &H, const mxArray *auxdata) const
bool | iterCallback (int t, double f, const mxArray *&auxdata) const
## Protected Attributes
MatlabFunctionHandle * | objfunc
MatlabFunctionHandle * | gradfunc
MatlabFunctionHandle * | constraintfunc
MatlabFunctionHandle * | jacobianfunc
MatlabFunctionHandle * | jacstrucfunc
MatlabFunctionHandle * | hessianfunc
MatlabFunctionHandle * | hesstrucfunc
MatlabFunctionHandle * | iterfunc

## Detailed Description

Definition at line 25 of file callbackfunctions.hpp.

## Constructor & Destructor Documentation

CallbackFunctions::CallbackFunctions | ( | const mxArray * | ptr | ) | `[explicit]`

CallbackFunctions::~CallbackFunctions | ( |  | ) |

## Member Function Documentation

bool CallbackFunctions::constraintFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 38 of file callbackfunctions.hpp.

References constraintfunc.

bool CallbackFunctions::jacobianFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 39 of file callbackfunctions.hpp.

References jacobianfunc.

bool CallbackFunctions::hessianFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 40 of file callbackfunctions.hpp.

References hessianfunc.

bool CallbackFunctions::iterFuncIsAvailable | ( |  | ) | const`[inline]`

Definition at line 41 of file callbackfunctions.hpp.

References iterfunc.

double CallbackFunctions::computeObjective | ( | const Iterate & | x,
|  | const mxArray * | auxdata |
| ) |  |  | const

void CallbackFunctions::computeGradient | ( | const Iterate & | x,
|  | double * | g,
|  | const mxArray * | auxdata |
| ) |  |  | const

void CallbackFunctions::computeConstraints | ( | const Iterate & | x,
|  | int | m,
|  | double * | c,
|  | const mxArray * | auxdata |
| ) |  |  | const

SparseMatrix* CallbackFunctions::getJacobianStructure | ( | int | n,
|  | int | m,
|  | const mxArray * | auxdata |
| ) |  |  | const

SparseMatrix* CallbackFunctions::getHessianStructure | ( | int | n,
|  | const mxArray * | auxdata |
| ) |  |  | const

void CallbackFunctions::computeJacobian | ( | int | m,
|  | const Iterate & | x,
|  | SparseMatrix & | J,
|  | const mxArray * | auxdata |
| ) |  |  | const

void CallbackFunctions::computeHessian | ( | const Iterate & | x,
|  | double | sigma,
|  | int | m,
|  | const double * | lambda,
|  | SparseMatrix & | H,
|  | const mxArray * | auxdata |
| ) |  |  | const

bool CallbackFunctions::iterCallback | ( | int | t,
|  | double | f,
|  | const mxArray *& | auxdata |
| ) |  |  | const

## Member Data Documentation

MatlabFunctionHandle* CallbackFunctions::objfunc`[protected]`

Definition at line 84 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::gradfunc`[protected]`

Definition at line 85 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::constraintfunc`[protected]`

Definition at line 86 of file callbackfunctions.hpp.

Referenced by constraintFuncIsAvailable().

MatlabFunctionHandle* CallbackFunctions::jacobianfunc`[protected]`

Definition at line 87 of file callbackfunctions.hpp.

Referenced by jacobianFuncIsAvailable().

MatlabFunctionHandle* CallbackFunctions::jacstrucfunc`[protected]`

Definition at line 88 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::hessianfunc`[protected]`

Definition at line 89 of file callbackfunctions.hpp.

Referenced by hessianFuncIsAvailable().

MatlabFunctionHandle* CallbackFunctions::hesstrucfunc`[protected]`

Definition at line 90 of file callbackfunctions.hpp.

MatlabFunctionHandle* CallbackFunctions::iterfunc`[protected]`

Definition at line 91 of file callbackfunctions.hpp.

Referenced by iterFuncIsAvailable().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/contrib/MatlabInterface/src/callbackfunctions.hpp